## org.eclipse.datatools.connectivity.ui.templates
Class PropertyObject

    java.lang.Object
      org.eclipse.datatools.connectivity.ui.templates.PropertyObject

    public class PropertyObject

extends java.lang.Object

Wrapper for driver property instances

Author:
  brianf

Constructor Summary
`PropertyObject()` Constructor

Method Summary
`java.lang.String` `getPropertyCategory()` Getter for property category
`java.lang.String` `getPropertyDescription()` Getter for property description
`java.lang.String` `getPropertyID()` Getter for propertyID
`java.lang.String` `getPropertyName()` Getter for property name
`java.lang.String` `getPropertyRequired()` Getter for property required
`java.lang.String` `getPropertyValue()` Getter for property value
`java.lang.String` `getPropertyVisible()` Getter for property visible
`void` `setPropertyCategory(java.lang.String propertyCategory)` Setter for property category
`void` `setPropertyDescription(java.lang.String propertyDescription)` Setter for property description
`void` `setPropertyID(java.lang.String propertyID)` Setter for propertyID
`void` `setPropertyName(java.lang.String propertyName)` Setter for property name
`void` `setPropertyRequired(java.lang.String propertyRequired)` Setter for property required
`void` `setPropertyValue(java.lang.String propertyValue)` Setter for property value
`void` `setPropertyVisible(java.lang.String propertyVisible)` Setter for property visible

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyObject

    public PropertyObject()

  Constructor

Method Detail

### getPropertyID

    public java.lang.String getPropertyID()

  Getter for propertyID

### setPropertyID

    public void setPropertyID(java.lang.String propertyID)

  Setter for propertyID

### getPropertyName

    public java.lang.String getPropertyName()

  Getter for property name

### setPropertyName

    public void setPropertyName(java.lang.String propertyName)

  Setter for property name

### getPropertyDescription

    public java.lang.String getPropertyDescription()

  Getter for property description

### setPropertyDescription

    public void setPropertyDescription(java.lang.String propertyDescription)

  Setter for property description

### getPropertyValue

    public java.lang.String getPropertyValue()

  Getter for property value

### setPropertyValue

    public void setPropertyValue(java.lang.String propertyValue)

  Setter for property value

### getPropertyVisible

    public java.lang.String getPropertyVisible()

  Getter for property visible

### setPropertyVisible

    public void setPropertyVisible(java.lang.String propertyVisible)

  Setter for property visible

### getPropertyRequired

    public java.lang.String getPropertyRequired()

  Getter for property required

### setPropertyRequired

    public void setPropertyRequired(java.lang.String propertyRequired)

  Setter for property required

### getPropertyCategory

    public java.lang.String getPropertyCategory()

  Getter for property category

### setPropertyCategory

    public void setPropertyCategory(java.lang.String propertyCategory)

  Setter for property category